Get Currency Conversion

get/api/currency/convert

Get a currency conversion estimate based on present conversion rates.

Request

Query Parameters

  • currencystringrequired

    The currency alpha code to convert from

  • amountstringrequired

    The amount of currency to convert to destination currency, an integer in the smallest denomination for the given currency

  • targetCurrencystring

    The target currency alpha code for the conversion. Defaults to USD

Response

Successful operation.

Body application/json

  • currencystring

    The currency to convert from.

  • convertedCurrencystring

    The currency converted to.

  • amountstring

    The amount of currency to convert to destination currency denominated in the major unit. An integer in the smallest denomination for the given currency.

  • convertedAmountstring

    The resulting amount of the conversion from currency into convertedCurrency denominated in the smallest denomination for the given currency.

  • ratestring

    The conversion rate applied to arrive at the convertedAmount of the convertedCurrency from the amount of currency.